<?php 
session_start();
if(!isset($_SESSION['idUsuario'])){
	header("location:../");
}
include_once '../../conexao/index.php';

$cliente = $_GET['cliente'];
$serie = $_GET['serie'];
$data1 = $_GET['data1'];
$data2 = $_GET['data2'];

//incluir a biblioteca
include 'biblioteca/tcpdf.php';

// Criar novo documento PDF
$pdf = new TCPDF('P', 'mm', 'A4', true, 'UTF-8');
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetTitle('Extrato de Cliente'); // Defina o título do PDF

$pdf->AddPage();

// Dados da Empresa a Faturar (exemplo)
$sql = "SELECT * FROM empresa";
$rs = mysqli_query($db, $sql);
$dados = mysqli_fetch_array($rs);
$img = $dados['img'];


$sqlll = "SELECT CONCAT(nome,' ',apelido) as cl FROM clientes WHERE id = '$cliente'";
$rsl = mysqli_query($db, $sqlll);
$dadosl = mysqli_fetch_array($rsl);
$nome = $dadosl['cl'];

// Conteúdo da fatura


// Dados da Empresa a Faturar
$pdf->SetFont('helvetica', '', 12);
$pdf->Ln(7);
// Definir a posição e o tamanho da imagem
$imageX = 160;   // Posição X da imagem
$imageY = 15;   // Posição Y da imagem
$imageWidth = 35;  // Largura da imagem
$imageHeight = 0;   // Altura da imagem (0 para manter a proporção)

// Inserir a imagem
$pdf->Image('../../img/'.$img.'', $imageX, $imageY, $imageWidth, $imageHeight);
$pdf->Cell(0, 7, $dados['nome'], 0, 1);

// // // Incluir o logotipo à direita
// $logoWidth = 30; // Largura do logotipo em milímetros
// $logoHeight = 0; // Altura do logotipo em milímetros (0 para manter a proporção)
// $logoX = $pdf->getPageWidth(100) - $pdf->getRightMargin(0) - $logoWidth; // Posição X calculada para alinhar à direita
// $logoY = $pdf->GetY(0); // Posição Y atual
// $pdf->Image('../img/iCone.png', $logoX, $logoY, $logoWidth, $logoHeight);

// // // Ajustar a posição Y para a próxima linha
// $pdf->SetY($pdf->GetY() + $pdf->getCellHeight(10));





// Restante dos dados da Empresa a Faturar
$pdf->SetFont('helvetica', '', 10);
$pdf->Cell(0, 7, $dados['endereco'], 0, 1);
$pdf->Cell(0, 7, 'Nuit: ' . $dados['nuit'], 0, 1);
$pdf->Cell(0, 7, 'Contacto: ' . $dados['contacto'], 0, 1);
$pdf->Cell(0, 7, 'E-mail: ' . $dados['email'], 0, 1);
$pdf->Cell(0, 7, $dados['pais'] .' - '. $dados['provincia'], 0, 1);


$pdf->Ln(15);
$pdf->SetFont('helvetica', 'B', 12);
$pdf->Cell(0, 10, 'Extrato do Cliente - '.$nome, 0, 1);
// Desenhar uma linha horizontal
$pdf->SetLineWidth(0.1); // Defina a largura da linha
$pdf->Line(10, $pdf->GetY(), 200, $pdf->GetY()); // Especifica as coordenadas (x1, y1, x2, y2)

// Tabela de Itens da Fatura
$pdf->SetFont('helvetica', 'B', 8);


$pdf->Cell(0, 7, 'Descrição', 0, 0);
$pdf->SetX(55);
$pdf->Cell(0, 7, 'IVA', 0, 0);

$pdf->SetX(120);
$pdf->Cell(0, 7, 'Débito', 0, 0);
$pdf->SetX(150);
$pdf->Cell(0, 7, 'Crédito', 0, 0);
$pdf->SetX(180);
$pdf->Cell(0, 7, 'Saldo', 0, 0);

$pdf->Ln(8);
// Loop while para adicionar linhas de itens
$pdf->SetFont('helvetica', '', 8);
$sql3 = "SELECT SUM(iva) as ivas,SUM(debito) as debitos, SUM(credito) as creditos, SUM(saldo) as saldos FROM `transacoes` as e WHERE data < '$data1' AND serie = '$serie' AND cliente = '$cliente' AND (doc = 'Factura' OR doc = 'Nota de Credito' OR doc = 'Nota de Debito' OR doc = 'Recibo')";
$rs3 = mysqli_query($db, $sql3) or die(mysqli_error($db));
if (mysqli_num_rows($rs3) > 0) {
	$dados3 = mysqli_fetch_array($rs3);
	$pdf->SetFont('helvetica', 'B', 8);
	$pdf->Cell(0, 7, 'Saldo Anterior', 'T', 0);
	
	$pdf->SetX(55);
	$pdf->Cell(0, 7, $dados3['ivas'], 'T', 0);
	$pdf->SetX(120);
	$pdf->Cell(0, 7, $dados3['debitos'], 'T', 0);
	$pdf->SetX(150);
	$pdf->Cell(0, 7, $dados3['creditos'], 'T', 0);
	$pdf->SetX(180);
	$pdf->Cell(0, 7, $dados3['saldos'], 'T', 0);
	$pdf->Ln(6);
$pdf->SetFont('helvetica', '', 8);
	$sqlx = "SELECT * FROM `transacoes` as e WHERE data BETWEEN '$data1' AND '$data2' AND serie = '$serie' AND cliente = '$cliente' AND (doc = 'Factura' OR doc = 'Nota de Credito' OR doc = 'Nota de Debito' OR doc = 'Recibo')";
	$rsx = mysqli_query($db, $sqlx) or die(mysqli_error($db));

		while ($dadosx = mysqli_fetch_array($rsx)) {

			
			$pdf->Cell(0, 7, $dadosx['doc']."#".$dadosx['serie']."/".$dadosx['n_doc'], 0, 0);
			$pdf->SetX(55);
			$pdf->Cell(0, 7, $dadosx['iva'], 0, 0);
			
			$pdf->SetX(120);
			$pdf->Cell(0, 7, $dadosx['debito'], 0, 0);
			$pdf->SetX(150);
			$pdf->Cell(0, 7, $dadosx['credito'], 0, 0);
			$pdf->SetX(180);
			$pdf->Cell(0, 7, $dadosx['saldo'], 0, 0);
			$pdf->Ln(6);
		}
		$sql5 = "SELECT SUM(iva) as ivas,SUM(debito) as debitos, SUM(credito) as creditos, SUM(saldo) as saldos FROM `transacoes` as e WHERE data BETWEEN '$data1' AND '$data2' AND serie = '$serie' AND cliente = '$cliente' AND (doc = 'Factura' OR doc = 'Nota de Credito' OR doc = 'Nota de Debito' OR doc = 'Recibo')";
		$rs5 = mysqli_query($db, $sql5) or die(mysqli_error($db));
		$dados5 = mysqli_fetch_array($rs5);
		$pdf->SetFont('helvetica', 'B', 8);
		$pdf->Cell(0, 7, 'Saldo Atual', 'T', 0);
		
		$pdf->SetX(55);
		$pdf->Cell(0, 7, $dados5['ivas'], 'T', 0);
		$pdf->SetX(120);
		$pdf->Cell(0, 7, $dados5['debitos'], 'T', 0);
		$pdf->SetX(150);
		$pdf->Cell(0, 7, $dados5['creditos'], 'T', 0);
		$pdf->SetX(180);
		$pdf->Cell(0, 7, $dados5['saldos'], 'T', 0);
		$pdf->Ln(6);
}else{
	echo "Ocorreu um erro ao popular os a";
}



// Desenhar uma linha horizontal
$pdf->SetLineWidth(0.1); // Defina a largura da linha
$pdf->Line(10, $pdf->GetY(), 200, $pdf->GetY()); // Especifica as coordenadas (x1, y1, x2, y2)
$pdf->Cell(0, 7, 'Documento Processado por Computador/ iVone ERP/', 0, 1);
// Totais


// // Assinaturas
// $pdf->SetFont('helvetica', 'B', 12);
// $pdf->Cell(0, 20, 'Assinaturas', 0, 1);


// Output do PDF

$pdf->Output('Extrato_cliente.pdf', 'I');

// Fechar conexão e liberar recursos
$db->close();